Bug 1494071 - Use mariadb-connector-c-devel instead of mysql-devel or mariadb-devel [NEEDINFO]
Summary: Use mariadb-connector-c-devel instead of mysql-devel or mariadb-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perdition
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1486480
TreeView+ depends on / blocked
 
Reported: 2017-09-21 12:31 UTC by Michal Schorm
Modified: 2018-10-30 17:15 UTC (History)
1 user (show)

Fixed In Version: perdition-2.2-2.el7 perdition-2.2-2.fc28 perdition-2.2-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-10 21:15:16 UTC
mschorm: needinfo? (pahan)


Attachments (Terms of Use)

Description Michal Schorm 2017-09-21 12:31:25 UTC
Hello, a MariaDB went through big changes and your package will probabbly need a patch. However your package FTBFS for a long time, so I have no way to test the patch.

In most cases, this command was enough to fix all the issues:

sed -i "s/mysql-devel/mariadb-connector-c-devel/" $(fedpkg gimmespec) ; \
sed -i "s/mariadb-devel/mariadb-connector-c-devel/" $(fedpkg gimmespec) ; \
sed -i "s/%{_libdir}\/mysql/%{_libdir}\/mariadb/" $(fedpkg gimmespec) ; \
sed -i "s/mariadb-connector-c-devel/mariadb-connector-c-devel openssl-devel/" $(fedpkg gimmespec) ;

This change is currently applicable to the Rawhide (f28) only.



For more information check the tracking bugzilla.

Comment 1 Michal Schorm 2017-12-13 12:41:04 UTC
Hello,
 any update regarding this issue?

Comment 2 Fedora End Of Life 2018-02-20 15:28:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Fedora Update System 2018-09-05 23:18:22 UTC
perdition-2.2-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e1c4a561dd

Comment 4 Fedora Update System 2018-09-05 23:18:54 UTC
perdition-2.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-6d4edca7f1

Comment 5 Fedora Update System 2018-09-05 23:20:22 UTC
perdition-2.2-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-159c408af7

Comment 6 Fedora Update System 2018-09-06 03:43:10 UTC
perdition-2.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-6d4edca7f1

Comment 7 Fedora Update System 2018-09-07 00:07:54 UTC
perdition-2.2-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e1c4a561dd

Comment 8 Fedora Update System 2018-09-07 00:08:21 UTC
perdition-2.2-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e1c4a561dd

Comment 9 Fedora Update System 2018-09-07 06:00:16 UTC
perdition-2.2-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-159c408af7

Comment 10 Fedora Update System 2018-10-10 21:15:16 UTC
perdition-2.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-10-10 22:45:25 UTC
perdition-2.2-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-10-30 17:15:32 UTC
perdition-2.2-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.